<dx-data-grid id="gridContainer"
[dataSource]="dataSource"
[showBorders]="true">
<dxi-column dataField="OrderNumber" [width]="130" caption="Invoice Number"></dxi-column>
<dxi-column dataField="CustomerStoreCity" caption="City" [hidingPriority]="0"></dxi-column>
<dxi-column dataField="CustomerStoreState" caption="State" [hidingPriority]="1"></dxi-column>
<dxi-column dataField="Employee"></dxi-column>
<dxi-column dataField="OrderDate" dataType="date" [hidingPriority]="2"></dxi-column>
<dxi-column dataField="SaleAmount" format="currency"></dxi-column>
</dx-data-grid>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxDataGridModule } from 'devextreme-angular';
import { Service, Order } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service]
})
export class AppComponent {
dataSource: Order[];
constructor(service: Service) {
this.dataSource = service.getOrders();
}
}
@NgModule({
imports: [
BrowserModule,
DxDataGridModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #gridContainer {
padding: 10px;
}
import { Injectable } from '@angular/core';
export class Order {
ID: number;
OrderNumber: number;
OrderDate: string;
SaleAmount: number;
Terms: string;
CustomerStoreState: string;
CustomerStoreCity: string;
Employee: string;
}
let orders: Order[] = [{
"ID": 1,
"OrderNumber": 35703,
"OrderDate": "2014/04/10",
"SaleAmount": 11800,
"Terms": "15 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "Los Angeles",
"Employee": "Harv Mudd"
}, {
"ID": 4,
"OrderNumber": 35711,
"OrderDate": "2014/01/12",
"SaleAmount": 16050,
"Terms": "15 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "San Jose",
"Employee": "Jim Packard"
}, {
"ID": 5,
"OrderNumber": 35714,
"OrderDate": "2014/01/22",
"SaleAmount": 14750,
"Terms": "15 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Las Vegas",
"Employee": "Harv Mudd"
}, {
"ID": 7,
"OrderNumber": 35983,
"OrderDate": "2014/02/07",
"SaleAmount": 3725,
"Terms": "15 Days",
"CustomerStoreState": "Colorado",
"CustomerStoreCity": "Denver",
"Employee": "Todd Hoffman"
}, {
"ID": 9,
"OrderNumber": 36987,
"OrderDate": "2014/03/11",
"SaleAmount": 14200,
"Terms": "15 Days",
"CustomerStoreState": "Utah",
"CustomerStoreCity": "Salt Lake City",
"Employee": "Clark Morgan"
}, {
"ID": 11,
"OrderNumber": 38466,
"OrderDate": "2014/03/01",
"SaleAmount": 7800,
"Terms": "15 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "Los Angeles",
"Employee": "Harv Mudd"
}, {
"ID": 14,
"OrderNumber": 39420,
"OrderDate": "2014/02/15",
"SaleAmount": 20500,
"Terms": "15 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "San Jose",
"Employee": "Jim Packard"
}, {
"ID": 15,
"OrderNumber": 39874,
"OrderDate": "2014/02/04",
"SaleAmount": 9050,
"Terms": "30 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Las Vegas",
"Employee": "Harv Mudd"
}, {
"ID": 18,
"OrderNumber": 42847,
"OrderDate": "2014/02/15",
"SaleAmount": 20400,
"Terms": "30 Days",
"CustomerStoreState": "Wyoming",
"CustomerStoreCity": "Casper",
"Employee": "Todd Hoffman"
}, {
"ID": 19,
"OrderNumber": 43982,
"OrderDate": "2014/05/29",
"SaleAmount": 6050,
"Terms": "30 Days",
"CustomerStoreState": "Utah",
"CustomerStoreCity": "Salt Lake City",
"Employee": "Clark Morgan"
}, {
"ID": 29,
"OrderNumber": 56272,
"OrderDate": "2014/02/06",
"SaleAmount": 15850,
"Terms": "30 Days",
"CustomerStoreState": "Utah",
"CustomerStoreCity": "Salt Lake City",
"Employee": "Clark Morgan"
}, {
"ID": 30,
"OrderNumber": 57429,
"OrderDate": "2013/12/31",
"SaleAmount": 11050,
"Terms": "30 Days",
"CustomerStoreState": "Arizona",
"CustomerStoreCity": "Phoenix",
"Employee": "Clark Morgan"
}, {
"ID": 32,
"OrderNumber": 58292,
"OrderDate": "2014/05/13",
"SaleAmount": 13500,
"Terms": "15 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "Los Angeles",
"Employee": "Harv Mudd"
}, {
"ID": 36,
"OrderNumber": 62427,
"OrderDate": "2014/01/27",
"SaleAmount": 23500,
"Terms": "15 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Las Vegas",
"Employee": "Harv Mudd"
}, {
"ID": 39,
"OrderNumber": 65977,
"OrderDate": "2014/02/05",
"SaleAmount": 2550,
"Terms": "15 Days",
"CustomerStoreState": "Wyoming",
"CustomerStoreCity": "Casper",
"Employee": "Todd Hoffman"
}, {
"ID": 40,
"OrderNumber": 66947,
"OrderDate": "2014/03/23",
"SaleAmount": 3500,
"Terms": "15 Days",
"CustomerStoreState": "Utah",
"CustomerStoreCity": "Salt Lake City",
"Employee": "Clark Morgan"
}, {
"ID": 42,
"OrderNumber": 68428,
"OrderDate": "2014/04/10",
"SaleAmount": 10500,
"Terms": "15 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "Los Angeles",
"Employee": "Harv Mudd"
}, {
"ID": 43,
"OrderNumber": 69477,
"OrderDate": "2014/03/09",
"SaleAmount": 14200,
"Terms": "15 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "Anaheim",
"Employee": "Harv Mudd"
}, {
"ID": 46,
"OrderNumber": 72947,
"OrderDate": "2014/01/14",
"SaleAmount": 13350,
"Terms": "30 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Las Vegas",
"Employee": "Harv Mudd"
}, {
"ID": 47,
"OrderNumber": 73088,
"OrderDate": "2014/03/25",
"SaleAmount": 8600,
"Terms": "30 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Reno",
"Employee": "Clark Morgan"
}, {
"ID": 50,
"OrderNumber": 76927,
"OrderDate": "2014/04/27",
"SaleAmount": 9800,
"Terms": "30 Days",
"CustomerStoreState": "Utah",
"CustomerStoreCity": "Salt Lake City",
"Employee": "Clark Morgan"
}, {
"ID": 51,
"OrderNumber": 77297,
"OrderDate": "2014/04/30",
"SaleAmount": 10850,
"Terms": "30 Days",
"CustomerStoreState": "Arizona",
"CustomerStoreCity": "Phoenix",
"Employee": "Clark Morgan"
}, {
"ID": 56,
"OrderNumber": 84744,
"OrderDate": "2014/02/10",
"SaleAmount": 4650,
"Terms": "30 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Las Vegas",
"Employee": "Harv Mudd"
}, {
"ID": 57,
"OrderNumber": 85028,
"OrderDate": "2014/05/17",
"SaleAmount": 2575,
"Terms": "30 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Reno",
"Employee": "Clark Morgan"
}, {
"ID": 59,
"OrderNumber": 87297,
"OrderDate": "2014/04/21",
"SaleAmount": 14200,
"Terms": "30 Days",
"CustomerStoreState": "Wyoming",
"CustomerStoreCity": "Casper",
"Employee": "Todd Hoffman"
}, {
"ID": 60,
"OrderNumber": 88027,
"OrderDate": "2014/02/14",
"SaleAmount": 13650,
"Terms": "30 Days",
"CustomerStoreState": "Utah",
"CustomerStoreCity": "Salt Lake City",
"Employee": "Clark Morgan"
}, {
"ID": 65,
"OrderNumber": 94726,
"OrderDate": "2014/05/22",
"SaleAmount": 20500,
"Terms": "15 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "San Jose",
"Employee": "Jim Packard"
}, {
"ID": 66,
"OrderNumber": 95266,
"OrderDate": "2014/03/10",
"SaleAmount": 9050,
"Terms": "15 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Las Vegas",
"Employee": "Harv Mudd"
}, {
"ID": 69,
"OrderNumber": 98477,
"OrderDate": "2014/01/01",
"SaleAmount": 23500,
"Terms": "15 Days",
"CustomerStoreState": "Wyoming",
"CustomerStoreCity": "Casper",
"Employee": "Todd Hoffman"
}, {
"ID": 70,
"OrderNumber": 99247,
"OrderDate": "2014/02/08",
"SaleAmount": 2100,
"Terms": "15 Days",
"CustomerStoreState": "Utah",
"CustomerStoreCity": "Salt Lake City",
"Employee": "Clark Morgan"
}, {
"ID": 78,
"OrderNumber": 174884,
"OrderDate": "2014/04/10",
"SaleAmount": 7200,
"Terms": "30 Days",
"CustomerStoreState": "Colorado",
"CustomerStoreCity": "Denver",
"Employee": "Todd Hoffman"
}, {
"ID": 81,
"OrderNumber": 188877,
"OrderDate": "2014/02/11",
"SaleAmount": 8750,
"Terms": "30 Days",
"CustomerStoreState": "Arizona",
"CustomerStoreCity": "Phoenix",
"Employee": "Clark Morgan"
}, {
"ID": 82,
"OrderNumber": 191883,
"OrderDate": "2014/02/05",
"SaleAmount": 9900,
"Terms": "30 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "Los Angeles",
"Employee": "Harv Mudd"
}, {
"ID": 83,
"OrderNumber": 192474,
"OrderDate": "2014/01/21",
"SaleAmount": 12800,
"Terms": "30 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "Anaheim",
"Employee": "Harv Mudd"
}, {
"ID": 84,
"OrderNumber": 193847,
"OrderDate": "2014/03/21",
"SaleAmount": 14100,
"Terms": "30 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "San Diego",
"Employee": "Harv Mudd"
}, {
"ID": 85,
"OrderNumber": 194877,
"OrderDate": "2014/03/06",
"SaleAmount": 4750,
"Terms": "30 Days",
"CustomerStoreState": "California",
"CustomerStoreCity": "San Jose",
"Employee": "Jim Packard"
}, {
"ID": 86,
"OrderNumber": 195746,
"OrderDate": "2014/05/26",
"SaleAmount": 9050,
"Terms": "30 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Las Vegas",
"Employee": "Harv Mudd"
}, {
"ID": 87,
"OrderNumber": 197474,
"OrderDate": "2014/03/02",
"SaleAmount": 6400,
"Terms": "30 Days",
"CustomerStoreState": "Nevada",
"CustomerStoreCity": "Reno",
"Employee": "Clark Morgan"
}, {
"ID": 88,
"OrderNumber": 198746,
"OrderDate": "2014/05/09",
"SaleAmount": 15700,
"Terms": "30 Days",
"CustomerStoreState": "Colorado",
"CustomerStoreCity": "Denver",
"Employee": "Todd Hoffman"
}, {
"ID": 91,
"OrderNumber": 214222,
"OrderDate": "2014/02/08",
"SaleAmount": 11050,
"Terms": "30 Days",
"CustomerStoreState": "Arizona",
"CustomerStoreCity": "Phoenix",
"Employee": "Clark Morgan"
}];
@Injectable()
export class Service {
getOrders() {
return orders;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18',
'devextreme-angular': 'npm:devextreme-angular@20.2.5',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import DataGrid, { Column } from 'devextreme-react/data-grid';
import service from './data.js';
class App extends React.Component {
constructor(props) {
super(props);
this.dataSource = service.getOrders();
}
render() {
return (
<div>
<DataGrid
id="gridContainer"
dataSource={this.dataSource}
keyExpr="ID"
showBorders={true}>
<Column dataField="OrderNumber" width={130} caption="Invoice Number" />
<Column dataField="CustomerStoreCity" caption="City" hidingPriority={0} />
<Column dataField="CustomerStoreState" caption="State" hidingPriority={1} />
<Column dataField="Employee" />
<Column dataField="OrderDate" dataType="date" hidingPriority={2} />
<Column dataField="SaleAmount" format="currency" />
</DataGrid>
</div>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#gridContainer {
padding: 10px;
}
const orders = [{
ID: 1,
OrderNumber: 35703,
OrderDate: '2014/04/10',
SaleAmount: 11800,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 4,
OrderNumber: 35711,
OrderDate: '2014/01/12',
SaleAmount: 16050,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
ID: 5,
OrderNumber: 35714,
OrderDate: '2014/01/22',
SaleAmount: 14750,
Terms: '15 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 7,
OrderNumber: 35983,
OrderDate: '2014/02/07',
SaleAmount: 3725,
Terms: '15 Days',
CustomerStoreState: 'Colorado',
CustomerStoreCity: 'Denver',
Employee: 'Todd Hoffman',
}, {
ID: 9,
OrderNumber: 36987,
OrderDate: '2014/03/11',
SaleAmount: 14200,
Terms: '15 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 11,
OrderNumber: 38466,
OrderDate: '2014/03/01',
SaleAmount: 7800,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 14,
OrderNumber: 39420,
OrderDate: '2014/02/15',
SaleAmount: 20500,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
ID: 15,
OrderNumber: 39874,
OrderDate: '2014/02/04',
SaleAmount: 9050,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 18,
OrderNumber: 42847,
OrderDate: '2014/02/15',
SaleAmount: 20400,
Terms: '30 Days',
CustomerStoreState: 'Wyoming',
CustomerStoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
ID: 19,
OrderNumber: 43982,
OrderDate: '2014/05/29',
SaleAmount: 6050,
Terms: '30 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 29,
OrderNumber: 56272,
OrderDate: '2014/02/06',
SaleAmount: 15850,
Terms: '30 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 30,
OrderNumber: 57429,
OrderDate: '2013/12/31',
SaleAmount: 11050,
Terms: '30 Days',
CustomerStoreState: 'Arizona',
CustomerStoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}, {
ID: 32,
OrderNumber: 58292,
OrderDate: '2014/05/13',
SaleAmount: 13500,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 36,
OrderNumber: 62427,
OrderDate: '2014/01/27',
SaleAmount: 23500,
Terms: '15 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 39,
OrderNumber: 65977,
OrderDate: '2014/02/05',
SaleAmount: 2550,
Terms: '15 Days',
CustomerStoreState: 'Wyoming',
CustomerStoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
ID: 40,
OrderNumber: 66947,
OrderDate: '2014/03/23',
SaleAmount: 3500,
Terms: '15 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 42,
OrderNumber: 68428,
OrderDate: '2014/04/10',
SaleAmount: 10500,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 43,
OrderNumber: 69477,
OrderDate: '2014/03/09',
SaleAmount: 14200,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Anaheim',
Employee: 'Harv Mudd',
}, {
ID: 46,
OrderNumber: 72947,
OrderDate: '2014/01/14',
SaleAmount: 13350,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 47,
OrderNumber: 73088,
OrderDate: '2014/03/25',
SaleAmount: 8600,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Reno',
Employee: 'Clark Morgan',
}, {
ID: 50,
OrderNumber: 76927,
OrderDate: '2014/04/27',
SaleAmount: 9800,
Terms: '30 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 51,
OrderNumber: 77297,
OrderDate: '2014/04/30',
SaleAmount: 10850,
Terms: '30 Days',
CustomerStoreState: 'Arizona',
CustomerStoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}, {
ID: 56,
OrderNumber: 84744,
OrderDate: '2014/02/10',
SaleAmount: 4650,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 57,
OrderNumber: 85028,
OrderDate: '2014/05/17',
SaleAmount: 2575,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Reno',
Employee: 'Clark Morgan',
}, {
ID: 59,
OrderNumber: 87297,
OrderDate: '2014/04/21',
SaleAmount: 14200,
Terms: '30 Days',
CustomerStoreState: 'Wyoming',
CustomerStoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
ID: 60,
OrderNumber: 88027,
OrderDate: '2014/02/14',
SaleAmount: 13650,
Terms: '30 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 65,
OrderNumber: 94726,
OrderDate: '2014/05/22',
SaleAmount: 20500,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
ID: 66,
OrderNumber: 95266,
OrderDate: '2014/03/10',
SaleAmount: 9050,
Terms: '15 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 69,
OrderNumber: 98477,
OrderDate: '2014/01/01',
SaleAmount: 23500,
Terms: '15 Days',
CustomerStoreState: 'Wyoming',
CustomerStoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
ID: 70,
OrderNumber: 99247,
OrderDate: '2014/02/08',
SaleAmount: 2100,
Terms: '15 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 78,
OrderNumber: 174884,
OrderDate: '2014/04/10',
SaleAmount: 7200,
Terms: '30 Days',
CustomerStoreState: 'Colorado',
CustomerStoreCity: 'Denver',
Employee: 'Todd Hoffman',
}, {
ID: 81,
OrderNumber: 188877,
OrderDate: '2014/02/11',
SaleAmount: 8750,
Terms: '30 Days',
CustomerStoreState: 'Arizona',
CustomerStoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}, {
ID: 82,
OrderNumber: 191883,
OrderDate: '2014/02/05',
SaleAmount: 9900,
Terms: '30 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 83,
OrderNumber: 192474,
OrderDate: '2014/01/21',
SaleAmount: 12800,
Terms: '30 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Anaheim',
Employee: 'Harv Mudd',
}, {
ID: 84,
OrderNumber: 193847,
OrderDate: '2014/03/21',
SaleAmount: 14100,
Terms: '30 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Diego',
Employee: 'Harv Mudd',
}, {
ID: 85,
OrderNumber: 194877,
OrderDate: '2014/03/06',
SaleAmount: 4750,
Terms: '30 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
ID: 86,
OrderNumber: 195746,
OrderDate: '2014/05/26',
SaleAmount: 9050,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 87,
OrderNumber: 197474,
OrderDate: '2014/03/02',
SaleAmount: 6400,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Reno',
Employee: 'Clark Morgan',
}, {
ID: 88,
OrderNumber: 198746,
OrderDate: '2014/05/09',
SaleAmount: 15700,
Terms: '30 Days',
CustomerStoreState: 'Colorado',
CustomerStoreCity: 'Denver',
Employee: 'Todd Hoffman',
}, {
ID: 91,
OrderNumber: 214222,
OrderDate: '2014/02/08',
SaleAmount: 11050,
Terms: '30 Days',
CustomerStoreState: 'Arizona',
CustomerStoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}];
export default {
getOrders() {
return orders;
},
};
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<div>
<DxDataGrid
id="gridContainer"
:data-source="dataSource"
key-expr="ID"
:column-hiding-enabled="true"
:show-borders="true"
>
<DxColumn
:width="130"
data-field="OrderNumber"
caption="Invoice Number"
/>
<DxColumn
:hiding-priority="0"
data-field="CustomerStoreCity"
caption="City"
/>
<DxColumn
:hiding-priority="1"
data-field="CustomerStoreState"
caption="State"
/>
<DxColumn data-field="Employee"/>
<DxColumn
:hiding-priority="2"
data-field="OrderDate"
data-type="date"
/>
<DxColumn
data-field="SaleAmount"
format="currency"
/>
</DxDataGrid>
</div>
</template>
<script>
import { DxDataGrid, DxColumn } from 'devextreme-vue/data-grid';
import service from './data.js';
export default {
components: {
DxDataGrid, DxColumn,
},
data() {
return {
dataSource: service.getOrders(),
};
},
};
</script>
<style scoped>
#gridContainer {
padding: 10px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
const orders = [{
ID: 1,
OrderNumber: 35703,
OrderDate: '2014/04/10',
SaleAmount: 11800,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 4,
OrderNumber: 35711,
OrderDate: '2014/01/12',
SaleAmount: 16050,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
ID: 5,
OrderNumber: 35714,
OrderDate: '2014/01/22',
SaleAmount: 14750,
Terms: '15 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 7,
OrderNumber: 35983,
OrderDate: '2014/02/07',
SaleAmount: 3725,
Terms: '15 Days',
CustomerStoreState: 'Colorado',
CustomerStoreCity: 'Denver',
Employee: 'Todd Hoffman',
}, {
ID: 9,
OrderNumber: 36987,
OrderDate: '2014/03/11',
SaleAmount: 14200,
Terms: '15 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 11,
OrderNumber: 38466,
OrderDate: '2014/03/01',
SaleAmount: 7800,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 14,
OrderNumber: 39420,
OrderDate: '2014/02/15',
SaleAmount: 20500,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
ID: 15,
OrderNumber: 39874,
OrderDate: '2014/02/04',
SaleAmount: 9050,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 18,
OrderNumber: 42847,
OrderDate: '2014/02/15',
SaleAmount: 20400,
Terms: '30 Days',
CustomerStoreState: 'Wyoming',
CustomerStoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
ID: 19,
OrderNumber: 43982,
OrderDate: '2014/05/29',
SaleAmount: 6050,
Terms: '30 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 29,
OrderNumber: 56272,
OrderDate: '2014/02/06',
SaleAmount: 15850,
Terms: '30 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 30,
OrderNumber: 57429,
OrderDate: '2013/12/31',
SaleAmount: 11050,
Terms: '30 Days',
CustomerStoreState: 'Arizona',
CustomerStoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}, {
ID: 32,
OrderNumber: 58292,
OrderDate: '2014/05/13',
SaleAmount: 13500,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 36,
OrderNumber: 62427,
OrderDate: '2014/01/27',
SaleAmount: 23500,
Terms: '15 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 39,
OrderNumber: 65977,
OrderDate: '2014/02/05',
SaleAmount: 2550,
Terms: '15 Days',
CustomerStoreState: 'Wyoming',
CustomerStoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
ID: 40,
OrderNumber: 66947,
OrderDate: '2014/03/23',
SaleAmount: 3500,
Terms: '15 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 42,
OrderNumber: 68428,
OrderDate: '2014/04/10',
SaleAmount: 10500,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 43,
OrderNumber: 69477,
OrderDate: '2014/03/09',
SaleAmount: 14200,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Anaheim',
Employee: 'Harv Mudd',
}, {
ID: 46,
OrderNumber: 72947,
OrderDate: '2014/01/14',
SaleAmount: 13350,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 47,
OrderNumber: 73088,
OrderDate: '2014/03/25',
SaleAmount: 8600,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Reno',
Employee: 'Clark Morgan',
}, {
ID: 50,
OrderNumber: 76927,
OrderDate: '2014/04/27',
SaleAmount: 9800,
Terms: '30 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 51,
OrderNumber: 77297,
OrderDate: '2014/04/30',
SaleAmount: 10850,
Terms: '30 Days',
CustomerStoreState: 'Arizona',
CustomerStoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}, {
ID: 56,
OrderNumber: 84744,
OrderDate: '2014/02/10',
SaleAmount: 4650,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 57,
OrderNumber: 85028,
OrderDate: '2014/05/17',
SaleAmount: 2575,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Reno',
Employee: 'Clark Morgan',
}, {
ID: 59,
OrderNumber: 87297,
OrderDate: '2014/04/21',
SaleAmount: 14200,
Terms: '30 Days',
CustomerStoreState: 'Wyoming',
CustomerStoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
ID: 60,
OrderNumber: 88027,
OrderDate: '2014/02/14',
SaleAmount: 13650,
Terms: '30 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 65,
OrderNumber: 94726,
OrderDate: '2014/05/22',
SaleAmount: 20500,
Terms: '15 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
ID: 66,
OrderNumber: 95266,
OrderDate: '2014/03/10',
SaleAmount: 9050,
Terms: '15 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 69,
OrderNumber: 98477,
OrderDate: '2014/01/01',
SaleAmount: 23500,
Terms: '15 Days',
CustomerStoreState: 'Wyoming',
CustomerStoreCity: 'Casper',
Employee: 'Todd Hoffman',
}, {
ID: 70,
OrderNumber: 99247,
OrderDate: '2014/02/08',
SaleAmount: 2100,
Terms: '15 Days',
CustomerStoreState: 'Utah',
CustomerStoreCity: 'Salt Lake City',
Employee: 'Clark Morgan',
}, {
ID: 78,
OrderNumber: 174884,
OrderDate: '2014/04/10',
SaleAmount: 7200,
Terms: '30 Days',
CustomerStoreState: 'Colorado',
CustomerStoreCity: 'Denver',
Employee: 'Todd Hoffman',
}, {
ID: 81,
OrderNumber: 188877,
OrderDate: '2014/02/11',
SaleAmount: 8750,
Terms: '30 Days',
CustomerStoreState: 'Arizona',
CustomerStoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}, {
ID: 82,
OrderNumber: 191883,
OrderDate: '2014/02/05',
SaleAmount: 9900,
Terms: '30 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Los Angeles',
Employee: 'Harv Mudd',
}, {
ID: 83,
OrderNumber: 192474,
OrderDate: '2014/01/21',
SaleAmount: 12800,
Terms: '30 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'Anaheim',
Employee: 'Harv Mudd',
}, {
ID: 84,
OrderNumber: 193847,
OrderDate: '2014/03/21',
SaleAmount: 14100,
Terms: '30 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Diego',
Employee: 'Harv Mudd',
}, {
ID: 85,
OrderNumber: 194877,
OrderDate: '2014/03/06',
SaleAmount: 4750,
Terms: '30 Days',
CustomerStoreState: 'California',
CustomerStoreCity: 'San Jose',
Employee: 'Jim Packard',
}, {
ID: 86,
OrderNumber: 195746,
OrderDate: '2014/05/26',
SaleAmount: 9050,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Las Vegas',
Employee: 'Harv Mudd',
}, {
ID: 87,
OrderNumber: 197474,
OrderDate: '2014/03/02',
SaleAmount: 6400,
Terms: '30 Days',
CustomerStoreState: 'Nevada',
CustomerStoreCity: 'Reno',
Employee: 'Clark Morgan',
}, {
ID: 88,
OrderNumber: 198746,
OrderDate: '2014/05/09',
SaleAmount: 15700,
Terms: '30 Days',
CustomerStoreState: 'Colorado',
CustomerStoreCity: 'Denver',
Employee: 'Todd Hoffman',
}, {
ID: 91,
OrderNumber: 214222,
OrderDate: '2014/02/08',
SaleAmount: 11050,
Terms: '30 Days',
CustomerStoreState: 'Arizona',
CustomerStoreCity: 'Phoenix',
Employee: 'Clark Morgan',
}];
export default {
getOrders() {
return orders;
},
};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);